import { HttpErrorResponse } from '@angular/common/http';
import { OpenApiMetaData } from './open-api.meta-data';
export declare class OpenApiHttpResponseError extends Error {
    readonly httpErrorResponse: HttpErrorResponse;
    readonly metadata: OpenApiMetaData;
    constructor(httpErrorResponse: HttpErrorResponse, metadata: OpenApiMetaData);
    get status(): number;
    get operationId(): string;
}
